Skip Menu |
 

This queue is for tickets about the MooseX-POE CPAN distribution.

Report information
The Basics
Id: 47261
Status: open
Priority: 0/
Queue: MooseX-POE

People
Owner: Nobody in particular
Requestors:
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Download (untitled) / with headers
text/plain 599b
MooseX::POE should include Test::Moose as a test_requires. While Test::Moose is indeed bundled with Moose, some distributions (e.g. Fedora) split test modules out into distinct sub-packages to reduce the number of dependencies installed for those simply wanting to run a program that needs the module, rather than test/develop Perl. As such, Test::Moose is in its own subpackage and a dependency on Moose does not cause it to be installed as well. Adding Test::Moose as a test_requires will make it easier for automated packaging / build tools to package (and update!) this module. Thanks! :)


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.